Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041861
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2019-09-20 13:282019-09-25 18:22
ReporterngarciaView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisionf5f95f32cd18
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041861: When posting Simple G/L Journal, document's organization is not used for currency balancing entry, account's org used instead

DescriptionWhen posting Simple G/L Journal, document's organization is not used for currency balancing entry, account's org used instead
Steps To ReproduceAs group admin role:
   Create a new Simple G/L Journal:
      Organization: F&B España - Región Norte
      General Ledger: F&B International Group US/A/US Dollar
      Currency: EUR
      Rate: 1.176541
   Add 4 lines:
      1) Debit: 100.25
      2) Credit: 25.12
      3) Credit: 25.11
      4) Credit: 50.02

   Complete it and post it

   Check in Accounting tab that all the lines are created for F&B España - Región Norte organization but the line for currency balancing is created for F&B International Group US/A/US Dollar
Proposed SolutionCheck if the attached diff does not break any other flow
TagsNo tags attached.
Attached Filesdiff file icon currencyBalancingOrg.diff [^] (515 bytes) 2019-09-20 13:28 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0114756)
markmm82 (developer)
2019-09-24 14:16

Test Plan:
    As group admin role:
   Create a new Simple G/L Journal:
      Organization: F&B España - Región Norte
      General Ledger: F&B International Group US/A/US Dollar
      Currency: EUR
      Rate: 1.176541
   Add 4 lines (be sure it is balanced):
      1) Debit: 100.25
      2) Credit: 25.12
      3) Credit:125.15
      4) Credit: 50.02

   Complete it and post it

   Check in Accounting tab that all the lines are created for F&B España - Región Norte organization including the line for currency balancing
(0114757)
markmm82 (developer)
2019-09-24 14:17

Executed all the accounting tests and have finished successfully
(0114780)
hgbot (developer)
2019-09-25 13:03

Repository: erp/devel/pi
Changeset: f5f95f32cd1859316aef1de1219caa3e2fb4786a
Author: Mark Molina <mark.molina <at> doceleguas.com>
Date: Sun Sep 22 21:21:37 2019 -0300
URL: http://code.openbravo.com/erp/devel/pi/rev/f5f95f32cd1859316aef1de1219caa3e2fb4786a [^]

Fixes issue 41861: Used document's org for currency balancing when posting
Simple G/L Journal.

When posting Simple G/L Journal, account's org was used for currency balancing entry,
but now it is used the document's organization.

---
M src/org/openbravo/erpCommon/ad_forms/Fact.java
---
(0114781)
Sandrahuguet (developer)
2019-09-25 13:04

code review + testing ok
(0114788)
hudsonbot (developer)
2019-09-25 18:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d412ceabd218 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-09-20 13:28 ngarcia New Issue
2019-09-20 13:28 ngarcia Assigned To => Triage Finance
2019-09-20 13:28 ngarcia File Added: currencyBalancingOrg.diff
2019-09-20 13:28 ngarcia Modules => Core
2019-09-20 13:28 ngarcia Triggers an Emergency Pack => No
2019-09-20 13:29 ngarcia Issue Monitored: networkb
2019-09-20 13:33 Leyre Issue Monitored: Leyre
2019-09-20 14:37 Sandrahuguet Assigned To Triage Finance => markmm82
2019-09-23 00:20 markmm82 Status new => scheduled
2019-09-24 14:16 markmm82 Note Added: 0114756
2019-09-24 14:17 markmm82 Note Added: 0114757
2019-09-25 13:03 hgbot Checkin
2019-09-25 13:03 hgbot Note Added: 0114780
2019-09-25 13:03 hgbot Status scheduled => resolved
2019-09-25 13:03 hgbot Resolution open => fixed
2019-09-25 13:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f5f95f32cd1859316aef1de1219caa3e2fb4786a [^]
2019-09-25 13:04 Sandrahuguet Review Assigned To => Sandrahuguet
2019-09-25 13:04 Sandrahuguet Note Added: 0114781
2019-09-25 13:04 Sandrahuguet Status resolved => closed
2019-09-25 13:04 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-09-25 18:22 hudsonbot Checkin
2019-09-25 18:22 hudsonbot Note Added: 0114788


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker